Subject: [OPSAWG] Alvaro Retana's No Objection on draft-ietf-opsawg-ipfix-mpls-sr-label-type-08: (with COMMENT)

From: Alvaro Retana via Datatracker <[email-masked]>
Date: Fri, 03 Sep 2021 12:04:21 -0700

Alvaro Retana has entered the following ballot position for
draft-ietf-opsawg-ipfix-mpls-sr-label-type-08: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-opsawg-ipfix-mpls-sr-label-type/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

(1) The SR labels can also be programmed by a PCE (rfc8664).  For completeness,
it would be very nice if a codepoint was also allocated for that.

(2) The "Additional Information" field in the IPFIX Information Elements
registry includes information about mplsTopLabelType that will now be
incomplete -- it currently says:

   See [RFC3031] for the MPLS label structure. See [RFC4364] for the
   association of MPLS labels with Virtual Private Networks (VPNs).
   See [RFC4271] for BGP and BGP routing. See [RFC5036] for Label
   Distribution Protocol (LDP). See the list of MPLS label types
   assigned by IANA at [http://www.iana.org/assignments/mpls-label-values].

It would be nice to add information here about the new fields.

---

From: <[email-masked]>
Date: Sun, 5 Sep 2021 06:44:50 +0000

Hi Alvaro,

Many thanks for the review and the remarks.

I added the PCEP SR extension to the document version -09 which I haven't published yet. Here the diff

http://www.ietf.org//rfcdiff?url1=https://raw.githubusercontent.com/graf3net/draft-tgraf-ipfix-mpls-sr-label-type/master/draft-ietf-opsawg-ipfix-mpls-sr-label-type-08.txt&url2=https://raw.githubusercontent.com/graf3net/draft-tgraf-ipfix-mpls-sr-label-type/master/draft-ietf-opsawg-ipfix-mpls-sr-label-type-09.txt

I would appreciate Alvaro, Rob and Med for a quick review and let me know when I should publish the update.

Regarding the second remark. Updating the "Additional Information" in the IPFIX Information Elements registry for mplsTopLabelType.

Throughout the process we had a lengthy exchange with IANA and the IE doctors what the best course of action is since "Additional Information" is not publicly visible. We came to the conclusion that this is addressed best by adding the RFC which is describing the code point to the "Reference" column. 

I could add an IANA remark that for the existing entries in mplsTopLabelType, the RFC references described in "Additional Information" could be moved to the reference column.

Let me know your thoughts. I will then double check with Med, IANA and the IE doctors if they support and update the document.

      +-------+--------------------------------+----------------------+
      | Value |          Description           |      Reference       |
      +-------+--------------------------------+----------------------+
      | TBD1  | Path Computation Element       | [RFC-to-be], RFC8664 |
      +-------+--------------------------------+----------------------+
      | TBD2  | OSPFv2 Segment Routing         | [RFC-to-be], RFC8665 |
      +-------+--------------------------------+----------------------+
      | TBD3  | OSPFv3 Segment Routing         | [RFC-to-be], RFC8666 |
      +-------+--------------------------------+----------------------+
      | TBD4  | IS-IS Segment Routing          | [RFC-to-be], RFC8667 |
      +-------+--------------------------------+----------------------+
      | TBD5  | BGP Segment Routing Prefix-SID | [RFC-to-be], RFC8669 |
      +-------+--------------------------------+----------------------+

Best wishes
Thomas

-----Original Message-----
From: Alvaro Retana via Datatracker <[email-masked]> 
Sent: Friday, September 3, 2021 9:04 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Alvaro Retana's No Objection on draft-ietf-opsawg-ipfix-mpls-sr-label-type-08: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fiesg%2Fstatement%2Fdiscuss-criteria.html&amp;data=04%7C01%7CThomas.Graf%40swisscom.com%7Ce0245989d4ce40d0cded08d96f0da6d6%7C364e5b87c1c7420d9beec35d19b557a1%7C0%7C0%7C637662926682829654%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=XSxsFdRPCgH0dL4e8E5lOzCyxAfwby7bsN5JAJEjAYM%3D&amp;reserved=0
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-opsawg-ipfix-mpls-sr-label-type%2F&amp;data=04%7C01%7CThomas.Graf%40swisscom.com%7Ce0245989d4ce40d0cded08d96f0da6d6%7C364e5b87c1c7420d9beec35d19b557a1%7C0%7C0%7C637662926682829654%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=K16zrTMek0EkKVRNsGdkscWbkFIj46E0RBoJKZKDgAw%3D&amp;reserved=0

(1) The SR labels can also be programmed by a PCE (rfc8664).  For completeness, it would be very nice if a codepoint was also allocated for that.

(2) The "Additional Information" field in the IPFIX Information Elements registry includes information about mplsTopLabelType that will now be incomplete -- it currently says:

   assigned by IANA at [https://eur03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.iana.org%2Fassignments%2Fmpls-label-values&amp;data=04%7C01%7CThomas.Graf%40swisscom.com%7Ce0245989d4ce40d0cded08d96f0da6d6%7C364e5b87c1c7420d9beec35d19b557a1%7C0%7C0%7C637662926682839611%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=KtTnUkKoMvpK8KL2dKTz01%2F3x3PgTZC%2B%2FwM8eIbv84M%3D&amp;reserved=0].

---

From: Alvaro Retana <[email-masked]>
Date: Thu, 9 Sep 2021 09:11:20 -0700

On September 5, 2021 at 2:45:59 AM, [email-masked] wrote:

Thomas:

Hi!

...
> Regarding the second remark. Updating the "Additional Information" in the
> IPFIX Information Elements registry for mplsTopLabelType.
>
> Throughout the process we had a lengthy exchange with IANA and the IE
> doctors what the best course of action is since "Additional Information" is
> not publicly visible. We came to the conclusion that this is addressed best
> by adding the RFC which is describing the code point to the "Reference"
> column.

The "Additional Information" column *is* publicly visible -- that is
how I found it. ;-)

https://www.iana.org/assignments/ipfix/ipfix.xhtml#ipfix-information-elements

> I could add an IANA remark that for the existing entries in mplsTopLabelType,
> the RFC references described in "Additional Information" could be moved to
> the reference column.

That works for me -- I'm assuming you would also add a reference to
this document, right?

What about the current text in "Additional Information"?  If it is
left as-is, I think may still look incomplete (regardless of what the
reference column points to).

Thanks!

Alvaro.

---

From: <[email-masked]>
Date: Fri, 10 Sep 2021 05:38:31 +0000

Hi Alvaro,

Thanks for the feedback. It appears I need reading glasses. 

I added a IANA note for moving the RFC references from the additional information to the reference column.  

https://www.ietf.org//rfcdiff?url1=https://raw.githubusercontent.com/graf3net/draft-tgraf-ipfix-mpls-sr-label-type/master/draft-ietf-opsawg-ipfix-mpls-sr-label-type-10.txt&url2=https://raw.githubusercontent.com/graf3net/draft-tgraf-ipfix-mpls-sr-label-type/master/draft-ietf-opsawg-ipfix-mpls-sr-label-type-11.txt

As soon as I have the feedback from Benjamin, I will submit -11 and move forward to the RFC editor queue. 

Best wishes
Thomas

-----Original Message-----
From: Alvaro Retana <[email-masked]> 
Sent: Thursday, September 9, 2021 6:11 PM
To: Graf Thomas, INI-NET-TCZ-ZH1 <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: RE: Alvaro Retana's No Objection on draft-ietf-opsawg-ipfix-mpls-sr-label-type-08: (with COMMENT)

Thomas:

Hi!

...
> Regarding the second remark. Updating the "Additional Information" in 
> the IPFIX Information Elements registry for mplsTopLabelType.
>
> doctors what the best course of action is since "Additional 
> Information" is not publicly visible. We came to the conclusion that 
> this is addressed best by adding the RFC which is describing the code point to the "Reference"
> column.

The "Additional Information" column *is* publicly visible -- that is how I found it. ;-)

https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.iana.org%2Fassignments%2Fipfix%2Fipfix.xhtml%23ipfix-information-elements&amp;data=04%7C01%7CThomas.Graf%40swisscom.com%7C4b2206a9ee624de0a93808d973ac7840%7C364e5b87c1c7420d9beec35d19b557a1%7C0%7C0%7C637668006849700536%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=MQPTRcTrtgJJM4IuF%2BgI9Byy0rLRoIVKlWVaxW4wV98%3D&amp;reserved=0

> I could add an IANA remark that for the existing entries in 
> mplsTopLabelType, the RFC references described in "Additional 
> Information" could be moved to the reference column.

That works for me -- I'm assuming you would also add a reference to this document, right?

What about the current text in "Additional Information"?  If it is left as-is, I think may still look incomplete (regardless of what the reference column points to).

Thanks!

Alvaro.